## python-fuelclient 9.0.0

=== debian/changelog ===
python-fuelclient (9.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2016 10:15:46 +0200

python-fuelclient (9.0.0~0+2016.03.21.git.3130252902-1) unstable; urgency=medium

  * New upstream release based on commit sha256: 3130252902 from: 2016-03-21.
  * Uploading to unstable.
  * Fixed (build-)depends for this releaes.
  * Set HOME=$(CURDIR) when running unit tests.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Mar 2016 21:37:45 +0200

python-fuelclient (9.0.0~0+2016.02.01.git.7f4bacbed0-1) experimental; urgency=medium

  * Initial release. (Closes: #813583)

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Feb 2016 18:53:43 +0800
