=== debian/control ===
Source: python-fuelclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-cliff (>= 1.15.0),
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.3),
                     python-os-testr (>= 0.4.1),
                     python-oslotest (>= 1.10.0),
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-testtools (>= 1.4.0),
                     python3-cliff (>= 1.15.0),
                     python3-fixtures (>= 1.3.1),
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mock (>= 1.3),
                     python3-os-testr (>= 0.4.1),
                     python3-oslotest (>= 1.10.0),
                     python3-requests (>= 2.8.1),
                     python3-requests-mock (>= 0.7.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testtools (>= 1.4.0),
                     python3-yaml (>= 3.1.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-fuelclient.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/python-fuelclient.git
Homepage: https://github.com/openstack/python-fuelclient

Package: python-fuelclient
Architecture: all
Depends: python-cliff (>= 1.15.0),
         python-keystoneclient (>= 1:1.6.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-yaml (>= 3.1.0),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: CLI tool and a Python API wrapper for interacting with Fuel - Python 2.7
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
 experience for deployment and management of OpenStack, related community
 projects and plug-ins.
 .
 Fuel brings consumer-grade simplicity to streamline and accelerate the
 otherwise time-consuming, often complex, and error-prone process of deploying,
 testing and maintaining various configuration flavors of OpenStack at scale.
 Unlike other platform-specific deployment or management utilities, Fuel is an
 upstream OpenStack project that focuses on automating the deployment and
 testing of OpenStack and a range of third-party options, so it’s not
 compromised by hard bundling or vendor lock-in.
 .
 python-fuelclient provides a CLI tool and a Python API wrapper for interacting
 with Fuel.
 .
 This package provides the Python 2.7 module.

Package: python3-fuelclient
Architecture: all
Depends: python3-cliff (>= 1.14.0),
         python3-keystoneclient (>= 1:1.6.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         python3-yaml (>= 3.1.0),
         ${misc:Depends},
         ${python3:Depends},
Provides: ${python:Provides},
Description: CLI tool and a Python API wrapper for interacting with Fuel - Python 3.x
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
 experience for deployment and management of OpenStack, related community
 projects and plug-ins.
 .
 Fuel brings consumer-grade simplicity to streamline and accelerate the
 otherwise time-consuming, often complex, and error-prone process of deploying,
 testing and maintaining various configuration flavors of OpenStack at scale.
 Unlike other platform-specific deployment or management utilities, Fuel is an
 upstream OpenStack project that focuses on automating the deployment and
 testing of OpenStack and a range of third-party options, so it’s not
 compromised by hard bundling or vendor lock-in.
 .
 python-fuelclient provides a CLI tool and a Python API wrapper for interacting
 with Fuel.
 .
 This package provides the Python 3.x module.
