## python-fuelclient 9.0.1

=== debian/changelog ===
python-fuelclient (9.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.
  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 29 Dec 2016 00:07:21 +0100
