=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -39,8 +39,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-fuelclient.git;a=summary
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-fuelclient.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-fuelclient?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-fuelclient -b debian/newton
 Homepage: https://github.com/openstack/python-fuelclient
 
 Package: python-fuelclient
